package es.prodevelop.gvsig.mobile.gui.bar;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;

public class ImageStatusBarIcon implements StatusBarIcon {

	protected Image image;
	protected int width = 0;
	
	public ImageStatusBarIcon(Image img) {
		image = img;
		if (image != null) {
			width = image.getWidth(null);
		}
	}
	
	public ImageStatusBarIcon() {
		image = null;
		width = 0;
	}
	
	public void paint(Graphics g, int x, int y) {
		if (image != null) {
			g.drawImage(image, x, y, null);
		}
	}

	public int getWidth() {
		return width;
	}

}
